#!/bin/sh

fpga_dev=/sys/devices/fpga0
fpga_image=$1

# command 1 is reset
echo "1" > ${fpga_dev}/cmd

# command 2 is initiate programming
echo "2" > ${fpga_dev}/cmd

# while in programming state, push image
cat ${fpga_image} > ${fpga_dev}/image

# command 3 tells driver FPGA should be programmed...
echo "3" > ${fpga_dev}/cmd

